* {
  box-sizing: border-box;
}

html, body {
  padding: 0;
  border: 0;
  margin: 0;
  height: 100vh;
}

html {
  overflow: auto;
}

body {
  display: flex;
  flex-flow: column;
  height: 100%;
  background-color: #668888;
}


header, footer {
  min-height: 3em;
  /* background-color: green; */
  background-color: #ffd324;
}

main {
  flex: 1;
  overflow: auto;
  position: relative;
}

.vspace {
  flex: 0 0 0em;
}

.mainContainer {
  margin: 5em;
  position: relative;
  flex: 1 1;
  /* background: red; */
  display: flex;
  flex-direction:column;
}

.panel {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: absolute;
}

.screenMemoryGame {
  display: flex;
  background-color: #00c4a7;
}

@media (max-width: 30em) {
  .mainContainer {
    margin: 1em;
  }
}

.controls {
  /* background-color: burlywood; */
  bottom: 0;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-between;
}

.controls>top {
  display: flex;
  flex-direction: row;
  align-items: stretch
}
.controls>bottom {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: center;
}
#players-indicators {
  flex-grow: 1;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: center;
  flex-wrap: wrap;
}
.indicator {
  width: 8em;
  margin-left:1em;
  margin-right:1em;
}

.boardspace {
  /* background-color: cornflowerblue; */
  display: flex;
  flex-grow: 1;
  overflow: hidden;
  position: relative;
  width: 100%;
}

.board {
  position: absolute;
}

.button.is-multiline {
  white-space: unset;
  height: auto;
  flex-direction: column;
}

.card {
  position: absolute;
  display: inline-block;
  width: 50px;
  height: 50px;
  background: transparent;
  border: 1em solid transparent;
}

.card.matched.hideMatched {
  display: none;
}

.cardside {
  background-size: 100%, 100%;
  pointer-events: none;
  position: absolute;
  width: 100%;
  height: 100%;
}
.cardside.openedface {
  background-size: 100%, 100%;
  background-color: #ffd324;
  background-image: url('/assets/--.png');
  background-repeat: no-repeat;
}
.cardside.matchedface {
  background-size: 100%, 100%;
  background-repeat: no-repeat;
  background-color: #00d1b2;
  border: solid 5px darkslategrey;
  opacity: 0.5;
}
.cardside.back {
  background-color: #6666ff;
  border: solid 1px darkgrey;
}


.card .cardside.back {
  visibility: visible;
}
.card.opened .cardside.back {
  visibility: hidden;
}
.card.matched .cardside.back {
  visibility: hidden;
}

.card .cardside.openedface {
  visibility: hidden;
}
.card.opened .cardside.openedface {
  visibility: visible;
}
.card.matched .cardside.openedface {
  visibility: hidden;
}

.card .cardside.matchedface {
  visibility: hidden;
}
.card.opened .cardside.matchedface {
  visibility: hidden;
}
.card.matched .cardside.matchedface {
  visibility: visible;
}



.scene {
    background-color: rgba(192, 128, 128, .7);
}

.scene { /* copied from bulma [.panel] */
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: absolute;
}
/* fix for LG WebOS TV, bulma: [ .panel:not(:last-child) {margin-bottom: 1.5rem; } */
/*         .scene:not(:last-child) {margin-bottom: 0;}  */
/* the fix is not necessary any more becuase of: .scene { /* copied from bulma [.panel] */



.tpl {
  display: none;
}

.button.tpl, .part.tpl {
  display: none;
}



/* ---------------- */

header {
    align-items: center;
    padding-bottom: 1em;
}

.headerButtons {
    display: flex;
    column-gap: 10px;
}

.headerButtons > * {
    min-width: 0;
    flex: 1 1 0%;
}


/* ---------------- */
* {
    border: 3px solid transparent !important;
}

*:focus {
    border: 3px dashed rgb(255, 136, 0) !important;
}
